Tan07MixedNaMgCorrection
Date: 2014-08-08

melting.ionCorrection.mixedNaMgCorrections

## Class Tan07MixedNaMgCorrection

- java.lang.Object
- - melting.correctionMethods.EntropyCorrection
  - - melting.ionCorrection.mixedNaMgCorrections.Tan07MixedNaMgCorrection

- All Implemented Interfaces:
    CorrectionMethod, NamedMethod

      public class Tan07MixedNaMgCorrection
      extends EntropyCorrection
      implements NamedMethod

  This class represents the mixed (Na,Mg) correction model tanmix07. It extends EntropyCorrection. Zhi-Jie Tan and Shi-Jie Chen, "RNA helix stability in Mixed Na+/Mg2+ solutions", 2007, Biophysical Journal, 92, 3615-3632.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `entropyCorrection` String entropyCorrection : formula for the entropy correction
    `protected static java.lang.String` | `gFormula` String gFormula : function associated with the electrostatic folding free energy per base stack.
    `protected static java.lang.String` | `x1Formula` String x1Formula : formula representing the fractional contribution of Na+ ions
    `protected static java.lang.String` | `x2Formula` String x2Formula : formula representing the fractional contribution of Mg2+ ions

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tan07MixedNaMgCorrection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `correctEntropy(Environment environment)` corrects the computed entropy (delta S (Na = 1M)).
    `java.lang.String` | `getName()` Gets the full name of the method.
    `boolean` | `isApplicable(Environment environment)` Check if the environment chosen by the user is a applicable with the correction model.

    - ### Methods inherited from class melting.correctionMethods.EntropyCorrection

      `correctMeltingResults`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entropyCorrection

          protected static java.lang.String entropyCorrection

      String entropyCorrection : formula for the entropy correction

    - #### x1Formula

          protected static java.lang.String x1Formula

      String x1Formula : formula representing the fractional contribution of Na+ ions

    - #### x2Formula

          protected static java.lang.String x2Formula

      String x2Formula : formula representing the fractional contribution of Mg2+ ions

    - #### gFormula

          protected static java.lang.String gFormula

      String gFormula : function associated with the electrostatic folding free energy per base stack.

  - ### Constructor Detail

    - #### Tan07MixedNaMgCorrection

          public Tan07MixedNaMgCorrection()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(Environment environment)

      Description copied from interface: `CorrectionMethod`
      Check if the environment chosen by the user is a applicable with the correction model.
      Specified by:
        `isApplicable` in interface `CorrectionMethod`
      Overrides:
        `isApplicable` in class `EntropyCorrection`
      Returns:
        false if the correction method can't be used with the Environment. If the environment can make the results less reliable, a warning message will appear.

    - #### correctEntropy

          protected double correctEntropy(Environment environment)

      Description copied from class: `EntropyCorrection`
      corrects the computed entropy (delta S (Na = 1M)).
      Overrides:
        `correctEntropy` in class `EntropyCorrection`
      Returns:
        double : corrected entropy;

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.